# dmd.dversion

Defines a `Dsymbol` for `version = identifier` and `debug = identifier` statements.

Specification: Version Specification, Debug Specification.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: dversion.d

Documentation: https://dlang.org/phobos/dmd_dversion.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dversion.d

- `DebugSymbol`

  #### Declaration

  `class `DebugSymbol`: dmd.dsymbol.Dsymbol;`

  `DebugSymbol`'s happen for statements like: debug = identifier; debug = integer;

- `VersionSymbol`

  #### Declaration

  `class `VersionSymbol`: dmd.dsymbol.Dsymbol;`

  `VersionSymbol`'s happen for statements like: version = identifier; version = integer;